www.1862.net > 请问我的python是3.4版本,因该下载哪一个版本的wx...

请问我的python是3.4版本,因该下载哪一个版本的wx...

首先看你自己安装的python 是什么版本 2.7?3.4?在你下载wxpython的时候,会有对应的版本供你下载通常大家都用2.7版本的python 所以建议现在对应的wxpython

Anaconda是一个和Canopy类似的科学计算环境,但用起来更加方便.自带的包管理器conda也很强大. 首先是下载安装.Anaconda提供了Python2.7和Python3.4两个版本,同时如果需要其他版本,还可以通过conda来创建.安装完成后可以看

都有现成的安装包.你先装python ,然后去这里 http://sourceforge.net/projects/wxpython/files/wxPython/下载对应你python版本的wxPython 然后安装,ok了.

个人感觉是2.7,其实3.4也没比2.7增加多少功能,但是改了一些语法,然后一些package就不支持了,另外网上很多教程也都是2.7版本的,所以用了3.4反而不方便了.

序 Python易用,但用好却不易,其中比较头疼的就是包管理和Python不同版本的问题,特别是当你使用Windows的时候.为了解决这些问题,有不少发行版的Python,比如WinPython、Anaconda等,这些发行版将python和许多常用的package

直接百度 wxpython下载 , 第一个就是你需要的页面.在这个页面可以看到各个版本的下载,在里面最上面有Windows Binaries,这就是二进制版本.wxPython3.0-win64-py27 64-bit Python 2.7 是需要的版本从官网进入的路径是wxpython的官网->Download->MS Windows

cp27就是python2.7,cp35就是python3.5,类推.win32就是windows32位系统,amd64就是windows64位系统,macosx大概是mac系统(我没用过mac).知道这些应该就可以了.

用pip命令就可以安装了,自动识别,cmd打开命令行输入 pip install+需要安装的模块pip目录在C:\Python27\Scripts要设置环境变量额

python2.7你可以学python3.4比较新的,现在pythoncookbook第三版就是以3.4为基础的.但是现在公司的一般都是2.X的而2.62.7相当于一个兼容版本,他兼容2.X的也有部分3.0的功能

首先关于anaconda,没有用过,但是它的安装必须把原生的python全部卸掉再换装成它自己.只拿他来做科学计算当然无所谓,但是python对我而言又不是只用来做科学计算的,还是要用一些其他第三方库包的,因此这样的做法让我很警惕,所

网站地图

All rights reserved Powered by www.1862.net

copyright ©right 2010-2021。
www.1862.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com